> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thedatacity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get director details



## OpenAPI

````yaml /api-reference/openapi.json get /v2/directors/{personNumber}
openapi: 3.0.0
info:
  title: The Data City API (v2)
  description: API v2. Use these endpoints for new integrations.
  version: 2.0.0
servers:
  - url: https://product-api.thedatacity.com/api
    description: Production
security: []
tags:
  - name: classification
    description: >-
      Classification and ML: classify companies, list summary, explain
      classifier, explain company score.
  - name: companies
    description: >-
      Companies: details, group structure, check, batch, export, filtered
      companies.
  - name: directors
    description: 'Directors: director details by person number.'
  - name: explore
    description: 'Explore lists: filter-based lists by list ID, domain, or email.'
  - name: filters
    description: 'Filters: get available filters and filtered company results.'
  - name: rtics
    description: RTIC details and metadata.
  - name: search
    description: 'Search: ahead full and full-text search.'
  - name: smart-lists
    description: 'User lists (ML): list details by list ID, domain, or email.'
paths:
  /v2/directors/{personNumber}:
    get:
      tags:
        - directors
      summary: Get director details
      operationId: f08f7563aae301533d3a28f0d55629e4
      parameters:
        - $ref: '#/components/parameters/ApiPathPersonNumber'
      responses:
        '200':
          description: Director / officer record from the product API.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Officer'
      security:
        - bearerAuth: []
        - auth:
            - read:companies
            - companies:directorsDetails
components:
  parameters:
    ApiPathPersonNumber:
      name: personNumber
      in: path
      description: Director person number.
      required: true
      schema:
        type: integer
  schemas:
    Officer:
      description: >-
        Generated from The Data City data dictionary (schema Officer, version
        1.0). See https://docs.thedatacity.com/data-dictionary/
      properties:
        AddressLine1:
          description: The first line of the address of the officer.
          type: string
        AddressLine2:
          description: The second line of the address of the officer.
          type: string
        Appointedon:
          description: The date the officer was appointed.
          type: string
          format: date
        Careof:
          description: The care of the officer.
          type: string
        Country:
          description: The country of the officer.
          type: string
        County:
          description: The county of the officer.
          type: string
        DOB:
          description: The date of birth of the officer.
          type: string
          format: date
        Forenames:
          description: The forenames of the officer.
          type: string
        Honours:
          description: The honours of the officer.
          type: string
        Nationality:
          description: The nationality of the officer.
          type: string
        Occupation:
          description: The occupation of the officer.
          type: string
        PersonNumber:
          description: >-
            The person number of the officer. Person number is a unique
            identifier for the officer provided by Companies House.
          type: string
        PostTown:
          description: The post town of the officer.
          type: string
        ResignationDate:
          description: The date the officer resigned (if applicable).
          type: string
          format: date
        Role:
          description: The role of the officer.
          type: string
        Surname:
          description: The surname of the officer.
          type: string
        Title:
          description: The title of the officer.
          type: string
        UsualResidentialCountry:
          description: The usual residential country of the officer.
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````